System.Runtime.Serialization 4.0.0.0 System.Object

This class can hold any string value, but has optimizations for dealing with s.

A unique identifier optimized for Guids.

- Constructor
  4.0.0.0
  To be added.

  Creates a new instance of this class with a new, unique Guid.

- Constructor
  4.0.0.0
  To be added.

  Only the first 16 bytes of the array are used.

  Creates a new instance of this class using a byte array that represents a .

- Constructor
  4.0.0.0
  To be added.
  To be added.

  Creates a new instance of this class using a .

- Constructor
  4.0.0.0
  System.Security.SecurityCritical
  System.Security.SecurityTreatAsSafe

  Any string non-zero length string is a valid value.

  Creates a new instance of this class using a string.

  A string used to generate the .
- Constructor
  4.0.0.0
  System.Security.SecurityCritical
  System.Security.SecurityTreatAsSafe
  To be added.

  Only the first 16 bytes at the specified offset are used.

  Creates a new instance of this class starting from an offset within a byte array that represents a .

  Offset position within the byte array that represents a .
- Constructor
  4.0.0.0
  System.Security.SecurityCritical
  System.Security.SecurityTreatAsSafe
  To be added.
  To be added.

  Creates a new instance of this class starting from an offset within a char using a specified number of entries.

  Offset position within the char array that represents a .
  Number of array entries to use, starting from .
- Property
  4.0.0.0
  get: System.Security.SecurityCritical
  get: System.Security.SecurityTreatAsSafe
  System.Int32 To be added. To be added.

  Gets the length of the string representation of the .

- Method
  4.0.0.0
  System.Boolean `` To be added.

  Tests whether an object equals this .

  true if the object equals this ; otherwise false.

  The object to compare.
- Method
  4.0.0.0
  System.Int32 To be added.

  Creates a hash-code representation of this .

  An integer hash-code representation of this .

- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  Indicates whether the is a .

- Method
  4.0.0.0
  System.Boolean `` `` To be added.

  Overrides the equality operator to test for equality of two s.

  true if the two s are equal, or are both null; false if they are not equal, or if only one of them is null.

  The first . The second .
- Method
  4.0.0.0
  System.Boolean `` `` To be added.

  Overrides the equality operator to test for inequality of two s.

  true if the overridden equality operator returns false; otherwise false.

  The first . The second .
- Method
  4.0.0.0
  System.Security.SecurityCritical
  System.Security.SecurityTreatAsSafe
  System.Int32 `` `` To be added.

  This method is unsafe.

  Puts the value into a char array.

  Number of entries in the char array filled by the value.

  Position in the char array to start inserting the value.
- Method
  4.0.0.0
  System.Security.SecurityCritical
  System.Security.SecurityTreatAsSafe
  System.String To be added.

  Displays the value in string format.

  A string representation of the value.

- Method
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Security.SecurityCritical
  System.Security.SecurityTreatAsSafe
  System.Boolean `` ``

  This method is unsafe.

  Tries to get the value of the as a and store it in the given byte array at the specified offest.

  true if the value stored in this instance of is a ; otherwise false.

  byte array that will contain the . Position in the byte array to start inserting the value.